curl -X GET https://api.autumnai.com/products \
-H "Authorization: Bearer YOUR_API_KEY"
import { Autumn } from '@autumnai/node-sdk';
const autumn = new Autumn({
apiKey: process.env.AUTUMN_API_KEY,
});
const products = await autumn.products.list();
from autumn import Autumn
autumn = Autumn(api_key="YOUR_API_KEY")
products = autumn.products.list()
{
"list": [
{
"id": "Free Plan",
"name": "Free Plan",
"group": null,
"env": "sandbox",
"is_add_on": false,
"is_default": true,
"archived": false,
"version": 1,
"created_at": 1761296829908,
"items": [
{
"type": "feature",
"feature_id": "messages",
"included_usage": 10,
"interval": "month",
"interval_count": 1,
"reset_usage_when_enabled": true,
"entity_feature_id": null,
"display": {
"primary_text": "10 Messages"
}
}
],
"free_trial": null,
"base_variant_id": null,
"scenario": "new"
},
{
"id": "Pro Product",
"name": "Pro Plan",
"group": null,
"env": "sandbox",
"is_add_on": false,
"is_default": false,
"archived": false,
"version": 1,
"created_at": 1761296829908,
"items": [
{
"type": "price",
"feature_id": null,
"interval": "month",
"interval_count": 1,
"price": 20,
"display": {
"primary_text": "$20",
"secondary_text": "per month"
}
},
{
"type": "priced_feature",
"feature_id": "messages",
"included_usage": 1000,
"interval": "month",
"interval_count": 1,
"price": 0.5,
"usage_model": "pay_per_use",
"billing_units": 1000,
"reset_usage_when_enabled": true,
"entity_feature_id": null,
"display": {
"primary_text": "1,000 Messages",
"secondary_text": "then $0.5 per 1,000 Messages"
}
}
],
"free_trial": {
"duration": "day",
"length": 7,
"unique_fingerprint": false,
"card_required": true
},
"base_variant_id": null,
"scenario": "new"
}
]
}
Products
List Products
GET
/
products
curl -X GET https://api.autumnai.com/products \
-H "Authorization: Bearer YOUR_API_KEY"
import { Autumn } from '@autumnai/node-sdk';
const autumn = new Autumn({
apiKey: process.env.AUTUMN_API_KEY,
});
const products = await autumn.products.list();
from autumn import Autumn
autumn = Autumn(api_key="YOUR_API_KEY")
products = autumn.products.list()
{
"list": [
{
"id": "Free Plan",
"name": "Free Plan",
"group": null,
"env": "sandbox",
"is_add_on": false,
"is_default": true,
"archived": false,
"version": 1,
"created_at": 1761296829908,
"items": [
{
"type": "feature",
"feature_id": "messages",
"included_usage": 10,
"interval": "month",
"interval_count": 1,
"reset_usage_when_enabled": true,
"entity_feature_id": null,
"display": {
"primary_text": "10 Messages"
}
}
],
"free_trial": null,
"base_variant_id": null,
"scenario": "new"
},
{
"id": "Pro Product",
"name": "Pro Plan",
"group": null,
"env": "sandbox",
"is_add_on": false,
"is_default": false,
"archived": false,
"version": 1,
"created_at": 1761296829908,
"items": [
{
"type": "price",
"feature_id": null,
"interval": "month",
"interval_count": 1,
"price": 20,
"display": {
"primary_text": "$20",
"secondary_text": "per month"
}
},
{
"type": "priced_feature",
"feature_id": "messages",
"included_usage": 1000,
"interval": "month",
"interval_count": 1,
"price": 0.5,
"usage_model": "pay_per_use",
"billing_units": 1000,
"reset_usage_when_enabled": true,
"entity_feature_id": null,
"display": {
"primary_text": "1,000 Messages",
"secondary_text": "then $0.5 per 1,000 Messages"
}
}
],
"free_trial": {
"duration": "day",
"length": 7,
"unique_fingerprint": false,
"card_required": true
},
"base_variant_id": null,
"scenario": "new"
}
]
}
Retrieves a list of all products in your environment.
Response
array
Array of product objects.
Show Product Object
Show Product Object
string
The ID of the product you set when creating the product.
string
The name of the product.
string
Product group which this product belongs to.
string
The environment of the product (
sandbox or production).boolean
Whether the product is an add-on and can be purchased alongside other products.
boolean
Whether the product is the default product.
boolean
Whether this product has been archived and is no longer available.
number
The current version of the product.
number
The timestamp of when the product was created in milliseconds since epoch.
array
Array of product items that define the product’s features and pricing.
Show Product Item Object
Show Product Item Object
enum
The type of the product item (
price, priced_feature, or feature).string
The feature ID of the product item. If the item is a fixed price, will be
null.enum
The type of feature (
single_use, continuous_use, boolean, or static).number | 'inf'
The amount of usage included for this feature.
enum
The reset or billing interval of the product item.
number
The interval count of the product item.
number
The price of the product item.
array
Tiered pricing for the product item.
enum
How tiers are applied (
graduated or volume).enum
Whether the feature should be prepaid upfront or billed based on usage (
prepaid or pay_per_use).number
The amount per billing unit.
boolean
Whether the usage should be reset when the product is enabled.
string
The entity feature ID of the product item if applicable.
object
object
Configuration for rollover and proration behavior.
object
Free trial configuration for this product, if available.
string
ID of the base variant this product is derived from.
enum
Scenario for when this product is used in attach flows.
object
Additional product properties.
Show Properties Object
Show Properties Object
curl -X GET https://api.autumnai.com/products \
-H "Authorization: Bearer YOUR_API_KEY"
import { Autumn } from '@autumnai/node-sdk';
const autumn = new Autumn({
apiKey: process.env.AUTUMN_API_KEY,
});
const products = await autumn.products.list();
from autumn import Autumn
autumn = Autumn(api_key="YOUR_API_KEY")
products = autumn.products.list()
{
"list": [
{
"id": "Free Plan",
"name": "Free Plan",
"group": null,
"env": "sandbox",
"is_add_on": false,
"is_default": true,
"archived": false,
"version": 1,
"created_at": 1761296829908,
"items": [
{
"type": "feature",
"feature_id": "messages",
"included_usage": 10,
"interval": "month",
"interval_count": 1,
"reset_usage_when_enabled": true,
"entity_feature_id": null,
"display": {
"primary_text": "10 Messages"
}
}
],
"free_trial": null,
"base_variant_id": null,
"scenario": "new"
},
{
"id": "Pro Product",
"name": "Pro Plan",
"group": null,
"env": "sandbox",
"is_add_on": false,
"is_default": false,
"archived": false,
"version": 1,
"created_at": 1761296829908,
"items": [
{
"type": "price",
"feature_id": null,
"interval": "month",
"interval_count": 1,
"price": 20,
"display": {
"primary_text": "$20",
"secondary_text": "per month"
}
},
{
"type": "priced_feature",
"feature_id": "messages",
"included_usage": 1000,
"interval": "month",
"interval_count": 1,
"price": 0.5,
"usage_model": "pay_per_use",
"billing_units": 1000,
"reset_usage_when_enabled": true,
"entity_feature_id": null,
"display": {
"primary_text": "1,000 Messages",
"secondary_text": "then $0.5 per 1,000 Messages"
}
}
],
"free_trial": {
"duration": "day",
"length": 7,
"unique_fingerprint": false,
"card_required": true
},
"base_variant_id": null,
"scenario": "new"
}
]
}
⌘I